
Audacious - Bug #474

libaudqt: Clean up properly on shutdown

October 29, 2014 00:10 - Thomas Lange

Status: Closed Start date: October 28, 2014

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: libaudqt Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.6   

Description

Audacious segfaults on shutdown if the "Song Info" dialog was opened before.

Version:

latest from git

Steps to reproduce:

1. Start Audacious in Qt mode.

2. Open the "Song Info" dialog for a track.

3. Close dialog with "OK".

4. Close Audacious.

The segfault does not occur every time though.

For me usually three tries are enough.

Output of audacious -VV --qt:

audacious: strpool.cc:223: static void String::raw_unref(char*): Assertion `status & MultiHash::Fo

und' failed.

Aborted (core dumped)

History

#1 - October 29, 2014 03:00 - John Lindgren

Fixed the crash:

https://github.com/audacious-media-player/audacious/commit/024075f987ed20aa9f34c4a19100202fef9765e9

However, the real problem is that libaudqt is not cleaning itself up properly on exit.

#2 - October 29, 2014 03:01 - John Lindgren

- Subject changed from Qt: Segfault on shutdown to libaudqt: Clean up properly on shutdown

- Priority changed from Critical to Major

#3 - November 01, 2014 15:01 - Thomas Lange

By now a segfault occurs on shutdown if the log inspector dialog was shown before.

#4 - November 02, 2014 19:51 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.6

- % Done changed from 0 to 100
https://github.com/audacious-media-player/audacious/commit/024075f987ed20aa9f34c4a19100202fef9765e9


Fixed.

Files

trace.log 1.82 KB October 29, 2014 Thomas Lange
